{% extends 'template.html.twig' %}

{% block title %}
    {{ game.title }}
{% endblock %}

{% block body %}
    <div class="GameDetails">
        <div class="GameDetails__Header">
            <img src="https://www.freetogame.com/g/{{ game.id }}/background.jpg" alt="voila le header" />
            <div class="GameDetails__Header__Main">
                <h1>
                    {{ game.title }}
                </h1>
                <button type="button" class="btn btn-primary">
                    <a href="{{ game.gameUrl }}" target="_blank">
                        <span>
                            Découvrez le jeu             
                                                                                
                                                    
                        </span>
                    </a>
                </button>
            </div>
        </div>
        <div class="GameDetails__Description">
            <h2>
                Description           
                                            
                            
            </h2>
            <p>
                {{ game.shortDescription }}
            </p>
        </div>
        <div class="GameDetails__Others">
            <h2>
                Informations Complémentaires
                                            
                            
            </h2>
            <p>
                <span>
                    Plateforme :         
                                                        
                                    
                </span>
                {{ game.platform }}
            </p>
            <p>
                <span>
                    Genre :       
                                                        
                                    
                </span>
                {{ game.genre }}
            </p>
            <p>
                <span>
                    Développeur :            
                                                        
                                    
                </span>
                {{ game.developer }}
            </p>
            <p>
                <span>
                    Éditeur :   
                                                        
                                    
                </span>
                {{ game.publisher }}
            </p>
            <p>
                <span>
                    Date de sortie :             
                                                        
                                    
                </span>
                Le         
                                                
                                
                {{ date(game.releaseDate).format('d F Y') }}
            </p>
            <a href="{{ game.freeToGameProfileUrl }}" target="_blank">
                <p>
                    En savoir plus                  
                                                        
                                    
                </p>
            </a>
        </div>
        <div class="GameDetails__Others">
            <div class="GameDetails__Chat__Main">
                <form class="GameDetails__Chat__Main__Search" method="POST">
                    <input type="text" name="message_content" placeholder="Discutez avec vos amis..." />
                    <input type="hidden" name="game_id" value="{{ game.id }}" />
                    <button>
                        <i class="bi bi-arrow-right-circle-fill"></i>
                    </button>
                </form>
                <div class="GameDetails__Chat__Main__TextArea">
                    {% for message in messages %}
                        <div class="GameDetails__Chat__Main__TextArea__Message">
                            {% if message.createdBy %}
                                <h2>
                                    {{ message.createdBy.username }}                                
                                </h2>
                                <p>
                                    {{ message.text }}
                                </p>
                                {% else %}
                                    <p>
                                        {{ message.text }}
                                    </p>
                            {% endif %}
                        </div>
                    {% endfor %}
                    <div id="bottomTextArea"></div>
                </div>
            </div>
        </div>
    </div>
</div>{% endblock %}